Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.embedded.tomcat.security
Class TomcatLoginModule

    java.lang.Object
      org.jboss.security.auth.spi.AbstractServerLoginModule
          org.jboss.embedded.tomcat.security.TomcatLoginModule

All Implemented Interfaces:
  javax.security.auth.spi.LoginModule

    public class TomcatLoginModule

extends org.jboss.security.auth.spi.AbstractServerLoginModule

comment

Version:
  $Revision: 1.1 $
Author:
  Bill Burke

Field Summary

Fields inherited from class org.jboss.security.auth.spi.AbstractServerLoginModule
`callbackHandler, log, loginOk, options, principalClassName, sharedState, subject, unauthenticatedIdentity, useFirstPass`

Constructor Summary
`TomcatLoginModule()`

Method Summary
`protected java.security.Principal` | `getIdentity()`
`protected java.security.acl.Group[]` | `getRoleSets()`
`boolean` | `login()`

Methods inherited from class org.jboss.security.auth.spi.AbstractServerLoginModule
`abort, commit, createGroup, createIdentity, getUnauthenticatedIdentity, getUseFirstPass, initialize, logout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TomcatLoginModule

    public TomcatLoginModule()

Method Detail

### login

    public boolean login()
                  throws javax.security.auth.login.LoginException

  Specified by:
    `login` in interface `javax.security.auth.spi.LoginModule`
  Overrides:
    `login` in class `org.jboss.security.auth.spi.AbstractServerLoginModule`
  Throws:
    `javax.security.auth.login.LoginException`

### getIdentity

    protected java.security.Principal getIdentity()

  Specified by:
    `getIdentity` in class `org.jboss.security.auth.spi.AbstractServerLoginModule`

### getRoleSets

    protected java.security.acl.Group[] getRoleSets()
                                             throws javax.security.auth.login.LoginException

  Specified by:
    `getRoleSets` in class `org.jboss.security.auth.spi.AbstractServerLoginModule`
  Throws:
    `javax.security.auth.login.LoginException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD